<?php

define("PROCESSOR_ID", 			"ATProcessor");
define("PROCESSOR_INSTANCE",	"0");
define("REMOTE_EXTERNAL",	"20");

define("HOME_HEADER_ITEMS", 	array("Alarms", "Home", "Man-Overboard"));	
define("HOME_HEADER_LINKS", 	array( "alarms.php", "home.php", "manOverboard.php"));

$numSpeedSources = readDB('Settings', 'SpeedInputs');
if ($numSpeedSources > 1) {
	$speedSourceItems = ['Speed', 'Input Selection'];
	$speedSourceLinks = ['#', 'speedInputSelection.php'];
	for ($i = 0; $i < $numSpeedSources; $i++) {
		array_push($speedSourceItems, "Speed Input " . ($i + 1));
		array_push($speedSourceLinks, "speedLog.php?src=" . $i);
	}
} else {
	$speedSourceItems = "Speed";
	$speedSourceLinks = "speedLog.php?src=0";
}

define("SPEED_HEADER_ITEMS", 	array($speedSourceItems, "Trip/Stored Logs", "Current", "Leeway"));
define("SPEED_HEADER_LINKS", 	array($speedSourceLinks, "tripLogs.php", "current.php", "leeway.php"));

define("POSITION_HEADER_ITEMS",	array("Position", "Heading", "Heel"));
define("POSITION_HEADER_LINKS", array("position.php", "heading.php", "heel.php"));	

define("DEPTH_HEADER_ITEMS", array("Depth"));
define("DEPTH_HEADER_LINKS", array("depth.php"));

$numWindSources = readDB('Settings', 'WindInputs');
if ($numWindSources > 1) {
	$windSourceItems = ['Wind', 'Input Selection'];
	$windSourceLinks = ['#', 'windInputSelection.php'];
	for ($i = 0; $i < $numWindSources; $i++) {
		array_push($windSourceItems, "Wind Input " . ($i + 1));
		array_push($windSourceLinks, "windMeasured.php?src=" . $i);
	}
} else {
	$windSourceItems = "Wind Measured";
	$windSourceLinks = "windMeasured.php?src=0";
}

define("WIND_HEADER_ITEMS", array($windSourceItems, "Wind Calculations"));
define("WIND_HEADER_LINKS", array($windSourceLinks, "windCorrections.php?src=0", ));	

define("OTHER_HEADER_ITEMS", array("Analogue", "Barometer", "CANbus", "Environment",
	array("Expedition", "Expedition Import", "Expedition Export"), "Loadcell", "Navigation", "NMEA0183", "Rudder"));
define("OTHER_HEADER_LINKS", array("analogue.php", "barometer.php", "canFilter.php", "environmentVariables.php",
	array("#", "externalChannels.php", "expeditionExport.php"), "loadcell.php", "navigation.php", "nmeaFilter.php", "rudder.php"));
		
define("DISPLAY_HEADER_ITEMS", array(/*"Alternating Channels",*/ /*"Channel Names",*/ "Damping", "BFD & QBD", /*"Timer",*/ "Fastnet", "Garmin", "Pages"));
define("DISPLAY_HEADER_LINKS", array(/*"alternatingChannels.php",*/ /*"channelNames.php",*/ "damping.php", "bfdServerStatus.php", /*"#",*/ "fastnet.php", "garminUserData.php", "dataPages.php"));

define("SETTINGS_HEADER_ITEMS", array( "IP Address", "System Settings", "Network I/O", "System Time", "Software Upgrade", "Saved Configurations", "Event Logs", array("Diagnostics", "All", "NMEA0183", "Fastnet", "Statistics", "Expedition", "CANbus" , "TCP Connections")));
define("SETTINGS_HEADER_LINKS", array( "networkAddress.php", "globalSettings.php", "dataOutput.php", "time.php", "softwareUpgrade.php", "settings.php", "logs.php", array("#", "debug.php?FieldId=all-refresh", "debug.php?FieldId=NMEA", 
		"debug.php?FieldId=Fastnet", "debug.php?FieldId=statistics", "debug.php?FieldId=Expedition", "debug.php?FieldId=CanDevices","debug.php?FieldId=tcpconnections")));
		
define("COMMISSION_HEADER_ITEMS", array("Commissioning"));
define("COMMISSION_HEADER_LINKS", array("commission.php"));

define("BG_HEADER_ITEMS", array("B&G Proprietary"));
define("BG_HEADER_LINKS", array("bandg.php"));

define("SIMULATOR_HEADER_ITEMS", array("Simulator"));
define("SIMULATOR_HEADER_LINKS", array("simulator.php"));
?>

